Boost.Sort

- Main Page
- Namespaces
- Classes
- Files

- File List

Namespaces | Functions
spreadsort_common.hpp File Reference
`#include <algorithm>`
`#include <vector>`
`#include <cstring>`
`#include <limits>`
`#include <functional>`
`#include <boost/static_assert.hpp>`
`#include <boost/serialization/static_warning.hpp>`
`#include <boost/sort/spreadsort/detail/constants.hpp>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Namespaces
| boost
| boost::sort
| boost::sort::detail

## Functions
template<typename T >
unsigned | boost::sort::detail::rough_log_2_size (const T &input)
template<unsigned log_mean_bin_size, unsigned log_min_split_count, unsigned log_finishing_count>
size_t | boost::sort::detail::get_min_count (unsigned log_range)
template<class RandomAccessIter >
RandomAccessIter * | boost::sort::detail::size_bins (size_t *bin_sizes, std::vector< RandomAccessIter > &bin_cache, unsigned cache_offset, unsigned &cache_end, unsigned bin_count)